Bug 1084227 - Arrow symbols too small and not nicely aligned
Summary: Arrow symbols too small and not nicely aligned
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: 25
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-03 23:07 UTC by Eduard Braun
Modified: 2017-12-12 10:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:19:39 UTC


Attachments (Terms of Use)
testcase with some exemplary arrows (4.08 KB, text/html)
2014-04-03 23:07 UTC, Eduard Braun
no flags Details
screenshot rendered with Firefox 28.0 on Windows 7 (11.10 KB, image/png)
2014-04-03 23:08 UTC, Eduard Braun
no flags Details
vertical arrows are hinted "between pixels" (1.25 KB, image/png)
2014-04-14 17:58 UTC, Eduard Braun
no flags Details
Arrows are *tiny* compared to e.g. Arial (1.29 KB, image/png)
2014-04-14 17:58 UTC, Eduard Braun
no flags Details

Description Eduard Braun 2014-04-03 23:07:29 UTC
Created attachment 882471 [details]
testcase with some exemplary arrows

The arrow symbols contained in Liberation fonts seem to be too small and also a little mis-aligned.

As an example consider the attached testcase which contains left/right/up/down arrows exemplarily. The attached screenshot is a rendering of this file to illustrate the issue:

- The arrows are much to small making them hardly discernible,
  especially at small font sizes.
- The horizontally aligned arrows are positioned too low (nearly at the baseline).
- Also visible: Hinting for the vertically aligned arrows is bad.

The screenshot was created with Firefox 28.0 on Windows 7.
The installed version of the Liberation fonts is 2.00.1

Comment 1 Eduard Braun 2014-04-03 23:08:19 UTC
Created attachment 882472 [details]
screenshot rendered with Firefox 28.0 on Windows 7

Comment 2 Pravin Satpute 2014-04-14 06:16:33 UTC
Yeah, position of horizontal arrows can be improved.

Please mention version of liberation fonts you are using. It will be very helpful if you can mark location of other two issues hinting and arrow size in image for better understanding.

Comment 3 Eduard Braun 2014-04-14 17:57:11 UTC
The installed version of the Liberation fonts is 2.00.1 (as written in the bug description; anything else you need or have you just over-read it?)

I'll attach two samples to illustrate the other two issues:
- The bad hinting of vertical arrows is quickly visible when zooming into a
  screenshot: The vertical line is positioned between pixels instead of directly
  onto a vertical line of pixels. Because of active subpixel anti-aliasing this
  results in a "thick colored line" instead of a thin black line.
- The small arrow size is apparent from a screenshot of my Wikipedia watchlist
  (this is where I also first observed the issue): When compared to e.g. Arial,
  the arrow of Liberation Sans is *tiny*. When highlighting the arrow in the
  browser one can also see that the highlighted are is also much larger than the
  actually visible arrow. Also underlining (the arrow is a link in the sample) is
  much wider than the arrow itself.

Comment 4 Eduard Braun 2014-04-14 17:58:09 UTC
Created attachment 886222 [details]
vertical arrows are hinted "between pixels"

Comment 5 Eduard Braun 2014-04-14 17:58:43 UTC
Created attachment 886223 [details]
Arrows are *tiny* compared to e.g. Arial

Comment 6 Fedora End Of Life 2015-05-29 11:27:11 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-30 00:58:35 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Fedora End Of Life 2016-11-24 11:08:51 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2017-11-16 18:31:40 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2017-12-12 10:19:39 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.